Commit 81d1b207 authored by Luis de Bethencourt's avatar Luis de Bethencourt

ttml: bump needed libxml2 version

ttml was recently added but it won't compile unless libxml2 version 2.9.2
or later is available. In that version the first parameter of xmlGetProp
switched to being a const. In previous versions the compiler complains
about passing a const value to a non const argument.
parent 99721ddf
......@@ -2459,7 +2459,7 @@ AG_GST_CHECK_FEATURE(DTLS, [DTLS plugin], dtls, [
dnl *** ttml ***
translit(dnm, m, l) AM_CONDITIONAL(USE_TTML, true)
AG_GST_CHECK_FEATURE(TTML, [TTML plugin], ttml, [
PKG_CHECK_MODULES(TTML, [ libxml-2.0 pango cairo pangocairo ], [
PKG_CHECK_MODULES(TTML, [ libxml-2.0 >= 2.9.2 pango cairo pangocairo ], [
HAVE_TTML="yes"
], [
HAVE_TTML="no"
......
libxml_dep = dependency('libxml-2.0', required : false)
libxml_dep = dependency('libxml-2.0', version : '>= 2.9.2', required : false)
pango_dep = dependency('pango', required : false)
cairo_dep = dependency('cairo', required : false)
pangocairo_dep = dependency('pangocairo', required : false)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment